#include "AlgorithmFactory.h"
#include "RPS.h"

const int MAX_ROUNDS = 20;  // max rounds per match

int main(int argc, char *args[])
{
    if (   (argc < 2)
        || (   (strcmp(args[1], "-r") != 0)
            && (strcmp(args[1], "-s") != 0)) )
    {
        cout << "Usage: RPS -r [max rounds] | -s [max rounds]" << endl;
        return -1;
    }

    int max_rounds = argc == 3 ? stoi(args[2]) : MAX_ROUNDS;

    AlgorithmType algorithm_type =
            (strcmp(args[1], "-r") == 0) ? AlgorithmType::RANDOM
                                         : AlgorithmType::SMART;

    RPS rps(algorithm_type, max_rounds);
    return 0;
}
